mwMsgChannelAccept Struct Reference

`#include <mw_message.h>`

## Data Fields

struct mwLoginInfo | acceptor
gboolean | acceptor_flag
| indicate presence of acceptor information
struct mwOpaque | addtl
| service-specific additional data
struct mwEncryptAccept | encrypt
struct mwMessage | head
guint32 | proto_type
| protocol type for the service
guint32 | proto_ver
| protocol version for the service
guint32 | service
| ID for the channel's service.

## Field Documentation

## acceptor

struct mwLoginInfo mwMsgChannelAccept::acceptor

## acceptor_flag

gboolean mwMsgChannelAccept::acceptor_flag

indicate presence of acceptor information

## addtl

struct mwOpaque mwMsgChannelAccept::addtl

service-specific additional data

## encrypt

struct mwEncryptAccept mwMsgChannelAccept::encrypt

## head

struct mwMessage mwMsgChannelAccept::head

## proto_type

guint32 mwMsgChannelAccept::proto_type

protocol type for the service

## proto_ver

guint32 mwMsgChannelAccept::proto_ver

protocol version for the service

## service

guint32 mwMsgChannelAccept::service

ID for the channel's service.

The documentation for this struct was generated from the following file:

- mw_message.h